Bug 12919 - ncacn_http: hangs with HttpAuthOption=ntlm
ncacn_http: hangs with HttpAuthOption=ntlm
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: DCE-RPCs and pipes
4.7.0rc2
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-20 10:02 UTC by Stefan Metzmacher
Modified: 2017-08-30 07:10 UTC (History)
1 user (show)

See Also:


Attachments
git-am cherry-pick from master. (1.77 KB, patch)
2017-08-22 19:24 UTC, Jeremy Allison
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2017-07-20 10:02:02 UTC
We are missing a tevent_req_done() in gensec_http_ntlm_update_done()

This was a regression introduced by commit d718e92d5e145dccd492c46febc249e462ce50c6.

Sadly we can't have automated tests for this as we only implement
the client side for this protocol.

I've tested with using

bin/smbtorture -W BLA -s /dev/null -Uadministrator%A1b2C3d4 ncacn_http:w2k8r2-219[593,RpcProxy=w2k8r2-219.bla.base,HttpUseTls=false,HttpAuthOption=ntlm] rpc.epmapper.epmapper.Lookup_simple

While there I also verified basic authentication also works:
bin/smbtorture -W BLA -s /dev/null -Uadministrator%A1b2C3d4 ncacn_http:w2k8r2-219[593,RpcProxy=w2k8r2-219.bla.base,HttpUseTls=false,HttpAuthOption=basic] rpc.epmapper.epmapper.Lookup_simple
Comment 1 Jeremy Allison 2017-08-22 19:24:46 UTC
Created attachment 13488 [details]
git-am cherry-pick from master.

Needed for 4.7.0.
Comment 2 Karolin Seeger 2017-08-28 08:05:09 UTC
Pushed to autobuild-v4-7-test.
Comment 3 Karolin Seeger 2017-08-30 07:10:19 UTC
Pushed to v4-7-test.
Closing out bug report.

Thanks!